The Subscription Settings object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

grace_period integer

Default: 1

cancel_after_grace boolean

Default: false

prorate boolean

Default: true

The Subscription Settings object
{
  "id": "subscription-settings_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "grace_period": 1,
  "cancel_after_grace": false,
  "prorate": true
}
GET /api/accounts/subscription-settings

Retrieve subscription settings

Retrieves the current subscription settings. This is a singleton resource.

Returns

Returns the subscription settings object.

GET /api/accounts/subscription-settings
curl https://api.overplane.dev/api/accounts/subscription-settings \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "subscription-settings_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "grace_period": 1,
  "cancel_after_grace": false,
  "prorate": true
}
PATCH /api/accounts/subscription-settings/{id}

Update a subscription settings

Updates the specified subscription settings by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the subscription settings to update.

Body parameters

grace_period integer

Default: 1

cancel_after_grace boolean

Default: false

prorate boolean

Default: true

Returns

Returns the updated subscription settings object.

PATCH /api/accounts/subscription-settings/{id}
curl https://api.overplane.dev/api/accounts/subscription-settings/subscription-settings_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"grace_period":1,"cancel_after_grace":false}'
Response
{
  "id": "subscription-settings_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "grace_period": 1,
  "cancel_after_grace": false,
  "prorate": true
}